#!/usr/bin/env python3
import confthing, yaml

conf = confthing.Config(yaml.safe_load(open("config-test.yaml")), defaults = {
    "alpha/aleph/llll": 1337
}, requirements = [
    "alpha/bet"
], clobber_subscript = True)

test = lambda n: print("\"%s\"\n\t%s\n" % (n, conf[n]))

test("")
test("alpha/aleph")
conf["alpha/aleph"] = {"i": "now set to a string"}
test("alpha/aleph/i")
conf["alpha/aleph/i/one/two/three"] = 12345
test("alpha/aleph/i")
